Passer au contenu principal
PUT
/
crm
/
property-validations
/
2026-03
/
{objectTypeId}
/
{propertyName}
/
rule-type
/
{ruleType}
Mettre à jour une règle de validation pour une propriété et un type de règle spécifiques, permettant la personnalisation des contraintes de valeur de propriété.
curl --request PUT \
  --url https://api.hubapi.com/crm/property-validations/2026-03/{objectTypeId}/{propertyName}/rule-type/{ruleType} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ruleArguments": [
    "<string>"
  ],
  "shouldApplyNormalization": true
}
'
This response has no body data.

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

objectTypeId
string
requis
propertyName
string
requis
ruleType
enum<string>
requis
Options disponibles:
AFTER_DATETIME_DURATION,
AFTER_DURATION,
ALPHANUMERIC,
BEFORE_DATETIME_DURATION,
BEFORE_DURATION,
DAYS_OF_WEEK,
DECIMAL,
DOMAIN,
EMAIL,
EMAIL_ALLOWED_DOMAINS,
EMAIL_BLOCKED_DOMAINS,
END_DATE,
END_DATETIME,
FORMAT,
MAX_LENGTH,
MAX_NUMBER,
MIN_LENGTH,
MIN_NUMBER,
PHONE_NUMBER_WITH_EXPLICIT_COUNTRY_CODE,
REGEX,
SPECIAL_CHARACTERS,
START_DATE,
START_DATETIME,
URL,
URL_ALLOWED_DOMAINS,
URL_BLOCKED_DOMAINS,
WHITESPACE

Corps

application/json
ruleArguments
string[]
requis

Liste des arguments qui définissent les contraintes de la règle de validation.

shouldApplyNormalization
boolean

Réponse

Last modified on April 13, 2026